EisOperation (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.jca.cci.object

## Class EisOperation

- java.lang.Object
- - org.springframework.jca.cci.object.EisOperation

- All Implemented Interfaces:
    InitializingBean
  Direct Known Subclasses:
    MappingRecordOperation, SimpleRecordOperation

      public abstract class EisOperation
      extends Object
      implements InitializingBean

  Base class for EIS operation objects that work with the CCI API. Encapsulates a CCI ConnectionFactory and a CCI InteractionSpec.

  Works with a CciTemplate instance underneath. EIS operation objects are an alternative to working with a CciTemplate directly.

  Since:
    1.2
  Author:
    Juergen Hoeller
  See Also:
    `setConnectionFactory(javax.resource.cci.ConnectionFactory)`, `setInteractionSpec(javax.resource.cci.InteractionSpec)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EisOperation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterPropertiesSet()` Invoked by a BeanFactory after it has set all bean properties supplied (and satisfied BeanFactoryAware and ApplicationContextAware).
    `CciTemplate` | `getCciTemplate()` Return the CciTemplate used by this operation.
    `InteractionSpec` | `getInteractionSpec()` Return the CCI InteractionSpec for this operation.
    `void` | `setCciTemplate(CciTemplate cciTemplate)` Set the CciTemplate to be used by this operation.
    `void` | `setConnectionFactory(ConnectionFactory connectionFactory)` Set the CCI ConnectionFactory to be used by this operation.
    `void` | `setInteractionSpec(InteractionSpec interactionSpec)` Set the CCI InteractionSpec for this operation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EisOperation

          public EisOperation()

  - ### Method Detail

    - #### setCciTemplate

          public void setCciTemplate(CciTemplate cciTemplate)

      Set the CciTemplate to be used by this operation. Alternatively, specify a CCI ConnectionFactory.
      See Also:
        `setConnectionFactory(javax.resource.cci.ConnectionFactory)`

    - #### getCciTemplate

          public CciTemplate getCciTemplate()

      Return the CciTemplate used by this operation.

    - #### setConnectionFactory

          public void setConnectionFactory(ConnectionFactory connectionFactory)

      Set the CCI ConnectionFactory to be used by this operation.

    - #### setInteractionSpec

          public void setInteractionSpec(InteractionSpec interactionSpec)

      Set the CCI InteractionSpec for this operation.

    - #### getInteractionSpec

          public InteractionSpec getInteractionSpec()

      Return the CCI InteractionSpec for this operation.

    - #### afterPropertiesSet

          public void afterPropertiesSet()

      Description copied from interface: `InitializingBean`
      Invoked by a BeanFactory after it has set all bean properties supplied (and satisfied BeanFactoryAware and ApplicationContextAware).

      This method allows the bean instance to perform initialization only possible when all bean properties have been set and to throw an exception in the event of misconfiguration.

      Specified by:
        `afterPropertiesSet` in interface `InitializingBean`